This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 851021 - Symlinks inside bundles do not work
Symlinks inside bundles do not work
Status: NEW
Product: RHQ Project
Classification: Other
Component: Provisioning (Show other bugs)
4.4
All Linux
unspecified Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: 864250
  Show dependency treegraph
 
Reported: 2012-08-23 02:06 EDT by James Livingston
Modified: 2016-02-21 19:57 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 864250 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description James Livingston 2012-08-23 02:06:12 EDT
As per http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=6550137, java.util.zip doesn't support symlinks. Since RHQ uses those classes for handling the contents of bundles, it does not support symlinks inside bundles.


A use case for when you may want to do this is installing the EAP 5.1.2 RHEL native components via a bundle. As of 5.1.2, the zip from the customer portal contains symlinks to some OS-provides shared libraries, rather than copies of them.


This is not likely to be easy to fix, without moving to a different archive-handling libraru, and I'm not certain ant supports symlinks in zip files either.
Comment 1 James Livingston 2012-08-23 02:29:48 EDT
A work-around is to put the symlinks (and optionally other files) into a tarball and extract them using the ant script:
  <untar src="abc.tar.gz" compression="gzip" dest="somedirectory"/>

Note You need to log in before you can comment on or make changes to this bug.